# $Revision: 1.10 $, $Date: 2007-08-29 21:14:39 $
Summary:	Helper scripts for setting up a serial connection for use with SynCE
Summary(pl.UTF-8):	Skrypty pomocnicze do nawiązywania połączenia szeregowego dla SynCE
Name:		synce-serial
Version:	0.10.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://dl.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	3a155a770cc2e05fc3af452731d48954
Source1:	synce-device
Patch0:		%{name}-iptables.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	libtool
Requires:	ppp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains helper scripts for setting up a serial connection
for use with SynCE. They are basically wrappers around pppd.

%description -l pl.UTF-8
Ten moduł zawiera skrypty pomocnicze do nawiązywania połączenia
szeregowego dla SynCE. Są one zasadniczo obudowaniem pppd.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--bindir=%{_sbindir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/ppp/peers
install %{SOURCE1} $RPM_BUILD_ROOT/etc/ppp/peers/synce-device

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_sbindir}/synce-serial-abort
%attr(755,root,root) %{_sbindir}/synce-serial-config
%attr(755,root,root) %{_sbindir}/synce-serial-start
%attr(755,root,root) %{_libdir}/synce-serial-chat
%config(noreplace) %verify(not md5 mtime size) /etc/ppp/peers/synce-device
%{_datadir}/synce
%{_mandir}/man8/*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-serial.spec,v $
Revision 1.10  2007-08-29 21:14:39  glen
- update to 0.10.0

Revision 1.9  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.7  2006/12/12 01:13:43  glen
- rel 3

Revision 1.6  2006/12/12 00:32:33  glen
- fix iptables path

Revision 1.5  2006/12/12 00:30:27  glen
- these programs require root privs, move to sbin

Revision 1.4  2006/12/12 00:24:22  glen
- install sample ppp peer file, rel 2

Revision 1.3  2006/12/11 21:30:01  glen
- new URL

Revision 1.2  2005/10/23 22:39:44  prism
- updated to 0.9.1

Revision 1.1  2004/12/26 00:55:06  qboosh
- split from synce.spec for clean build
